//Loader Script of modnum for scilab
//Generated by builer.sce
//15-Dec-2008 A.Layec

//Redefine stacksize
sz=stacksize(); //default 5e6
while (sz(1)<50e6) then
  ierr=execstr('stacksize(sz(1)+5e6)','errcatch');
  if ierr<>0 then break, end
  sz=stacksize();
end
clear sz;
clear ierr;

//Define modnum root path
MODNUMSCI=get_absolute_file_path('loader.sce');
if part(MODNUMSCI,length(MODNUMSCI))=='/' then
   MODNUMSCI=part(MODNUMSCI,1:length(MODNUMSCI)-1);
end
//Load modnum_build_util library
modnum_build_util=lib(MODNUMSCI+'/macros/build_util/');

//Load modnum_find_file library
modnum_find_file=lib(MODNUMSCI+'/macros/find_file/');

//Load modnum_misc library
modnum_misc=lib(MODNUMSCI+'/macros/misc/');

//Load modnum_pll library
modnum_pll=lib(MODNUMSCI+'/macros/pll/');

//Load modnum_signal library
modnum_signal=lib(MODNUMSCI+'/macros/signal/');

//Link libmodnum_lib library
if ~exists('Id_libmodnum_lib') then
  Id_libmodnum_lib=link(MODNUMSCI+"/../../src/libmodnum_lib.so");
end
//Link of interfaced modnum functions
modnum_sci_func=["genint";"genrayl";"upsmpl";"downsmpl";"modpsk";"demodpsk";"modqam";"demodqam";"gengold";"genpn";"spread";"despread";"nfilter";"awgn";"intsym";"autocorr";];
addinter(MODNUMSCI+"/gateway/libintmodnum_lib.so","intmodnum_lib",modnum_sci_func);

//Add demos and man pages
if fileinfo(MODNUMSCI+'/help')<>[] then
  //find the LANGUAGE
  if ~exists('LANGUAGE') then
    global LANGUAGE;lang=LANGUAGE;clear LANGUAGE;
  else
    lang=LANGUAGE;
  end
  if lang<>'fr'&lang<>'eng' then
    printf("Documentation: Unsupported language %s, switch to eng.\n",lang);
    lang='eng';
  end
  //Add modnum help chapter
  myhelps=[MODNUMSCI+'/help/'+lang+'/htm',           "Modnum communication toolbox (Scilab)"];
  add_help_chapter(myhelps(1,2),myhelps(1,1))
  //Add modnum demo
  prot=funcprot(); //to disable warning
  funcprot(0);
  add_demo('Modnum (Scilab)',            MODNUMSCI+'/demos/modnumsci.dem');
  funcprot(prot)
  clear prot
  clear lang
end
