; -- modnum.iss --
;
; This a modnum.iss for Inno Setup
; modnumcos-4.2
; 28-Jun-2008
; Author : create_iss_modnum

[Setup]
AppName=Modnum
AppVerName=Modnum version 4.2
DefaultDirName={userdocs}\modnum_42
DirExistsWarning=yes
OutputDir=..
OutputBaseFilename=modnum_42_bin
Compression=lzma
SolidCompression=yes

[Languages]
Name: en; MessagesFile: "compiler:Default.isl"
Name: fr; MessagesFile: "compiler:Languages\French.isl"

[Types]
Name: "default"; Description: "Default installation"; Languages: en;
Name: "default"; Description: "Installation par dfaut"; Languages: fr;

Name: "compact"; Description: "Compact installation"; Languages: en;
Name: "compact"; Description: "Installation compacte"; Languages: fr;

Name: "source"; Description: "Source only"; Languages: en;
Name: "source"; Description: "Sources seulement"; Languages: fr;

Name: "custom"; Description: "Custom installation"; Flags: iscustom

[Components]
; Modnumlib
Name: "modnumlib"; Description: "Librairie Modnum"; Types:default ; Languages: fr;
Name: "modnumlib"; Description: "Modnum library"; Types: default ; Languages: en;
; Binaries Modnumlib
Name: "modnumlib\binary"; Description: "Fichiers binaires"; Types: default compact; Languages: fr;
Name: "modnumlib\binary"; Description: "Binaries files"; Types: default compact; Languages: en;
; Sources Modnumlib
Name: "modnumlib\source"; Description: "Source Files"; Types: default source; Languages: en;
Name: "modnumlib\source"; Description: "Fichers sources"; Types: default source; Languages: fr;
; Scicos
Name: "scicos"; Description: "Blocs Scicos"; Types: default ; Languages: fr;
Name: "scicos"; Description: "Scicos blockset"; Types: default ; Languages: en;
; Scicos Palettes
Name: "scicos\pal"; Description: "Palettes"; Types: default compact; Languages: fr;
Name: "scicos\pal"; Description: "Palettes"; Types: default compact; Languages: en;
; Scicos diagrams
Name: "scicos\diagr"; Description: "Diagrammes"; Types: default; Languages: fr;
Name: "scicos\diagr"; Description: "Diagrams"; Types: default; Languages: en;
; Scicos Binaries
Name: "scicos\binary"; Description: "Fichiers binaires"; Types: default compact; Languages: fr;
Name: "scicos\binary"; Description: "Binaries files"; Types: default compact; Languages: en;
; Scicos Sources
Name: "scicos\source"; Description: "Source Files"; Types: default source; Languages: en;
Name: "scicos\source"; Description: "Fichers sources"; Types: default source; Languages: fr;
; Scicos Help
Name: "scicos\help"; Description: "Fichiers d'aides"; Types: default; Languages: fr;
Name: "scicos\help\fr"; Description: "Franais"; Types: default; Languages: fr;
Name: "scicos\help\en"; Description: "Anglais"; Types: default compact; Languages: fr;
Name: "scicos\help"; Description: "Help files"; Types: default; Languages: en;
Name: "scicos\help\en"; Description: "English"; Types: default compact; Languages: en;
Name: "scicos\help\fr"; Description: "French"; Types: default; Languages: en;
; Scilab
Name: "scilab"; Description: "Fonctions Scilab"; Types: default ; Languages: fr;
Name: "scilab"; Description: "Scilab functions"; Types: default ; Languages: en;
; Scicos diagrams
Name: "scilab\ex"; Description: "Exemples"; Types: default; Languages: fr;
Name: "scilab\ex"; Description: "Examples"; Types: default; Languages: en;
; Scilab Binaries
Name: "scilab\binary"; Description: "Fichiers binaires"; Types: default compact; Languages: fr;
Name: "scilab\binary"; Description: "Binaries files"; Types: default compact; Languages: en;
; Scilab Sources
Name: "scilab\source"; Description: "Source Files"; Types: default source; Languages: en;
Name: "scilab\source"; Description: "Fichers sources"; Types: default source; Languages: fr;
; Scilab Help
Name: "scilab\help"; Description: "Fichiers d'aides"; Types: default; Languages: fr;
Name: "scilab\help\fr"; Description: "Franais"; Types: default; Languages: fr;
Name: "scilab\help\en"; Description: "Anglais"; Types: default compact; Languages: fr;
Name: "scilab\help"; Description: "Help files"; Types: default; Languages: en;
Name: "scilab\help\en"; Description: "English"; Types: default compact; Languages: en;
Name: "scilab\help\fr"; Description: "French"; Types: default; Languages: en;

[Files]
; README
Source: "Readme_en.txt"; DestDir: "{app}"; Languages: en; Flags: isreadme
Source: "Readme_fr.txt"; DestDir: "{app}"; Languages: fr; Flags: isreadme
Source: "Version.txt"; DestDir: "{app}"; Flags: isreadme

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; permanent files

; readme files
Source : Readme_en.txt; DestDir: {app};
Source : Readme_fr.txt; DestDir: {app};
Source : Version.txt; DestDir: {app};

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
; palettes
Source : interf\scicos\macros\scicos_blocks\*.cosf; DestDir: {app}\interf\scicos\macros\scicos_blocks; Components: scicos\pal
; gif icons
; add gif icons by default with source (because we can't do it under windows)
Source : interf\scicos\gif_icons\*.gif; DestDir: {app}\interf\scicos\gif_icons; Components: scicos

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; source files

;;;;;;;;;;;;;
;;Modnumlib;;
;;;;;;;;;;;;;
; files for building
Source : Makefile.am; DestDir: {app}; Components: modnumlib\source
Source : Makefile.in; DestDir: {app}; Components: modnumlib\source
Source : configure; DestDir: {app}; Components: modnumlib\source
Source : configure.ac; DestDir: {app}; Components: modnumlib\source
Source : config.h; DestDir: {app}; Components: modnumlib\source
Source : config.h.in; DestDir: {app}; Components: modnumlib\source
Source : config\*.*; DestDir: {app}\config; Components: modnumlib\source
Source : src\Makefile.am; DestDir: {app}\src; Components: modnumlib\source
Source : src\Makefile.in; DestDir: {app}\src; Components: modnumlib\source
; C files
Source : src\*.c; DestDir: {app}\src; Components: modnumlib\source
Source : src\*.h; DestDir: {app}\src; Components: modnumlib\source
; binary files
Source : loader.sce; DestDir: {app}; Components: modnumlib\binary
Source : src\*.dll; DestDir: {app}\src; Components: modnumlib\binary
Source : src\*.def; DestDir: {app}\src; Components: modnumlib\binary
Source : src\*.ilib; DestDir: {app}\src; Components: modnumlib\binary
Source : src\loader.sce; DestDir: {app}\src; Components: modnumlib\binary

;;;;;;;;;;
;;Scilab;;
;;;;;;;;;;
; files for building
Source : builder.sce; DestDir: {app}; Components: scilab\source
Source : config.h; DestDir: {app}; Components: scilab\source
Source : interf\scilab\builder.sce; DestDir: {app}\interf\scilab\; Components: scilab\source
Source : interf\scilab\Makefile.*; DestDir: {app}\interf\scilab\; Components: scilab\source
Source : interf\scilab\macros\Makefile.*; DestDir: {app}\interf\scilab\macros; Components: scilab\source
Source : interf\scilab\macros\build_util\Makefile.*; DestDir: {app}\interf\scilab\macros\build_util; Components: scilab\source
Source : interf\scilab\macros\find_file\Makefile.*; DestDir: {app}\interf\scilab\macros\find_file; Components: scilab\source
Source : interf\scilab\macros\misc\Makefile.*; DestDir: {app}\interf\scilab\macros\misc; Components: scilab\source
Source : interf\scilab\macros\pll\Makefile.*; DestDir: {app}\interf\scilab\macros\pll; Components: scilab\source
Source : interf\scilab\macros\signal\Makefile.*; DestDir: {app}\interf\scilab\macros\signal; Components: scilab\source
Source : interf\scilab\gateway\Makefile.*; DestDir: {app}\interf\scilab\gateway; Components: scilab\source
; macros files
Source : interf\scilab\macros\build_util\*.sci; DestDir: {app}\interf\scilab\macros\build_util; Components: scilab\source
Source : interf\scilab\macros\find_file\*.sci; DestDir: {app}\interf\scilab\macros\find_file; Components: scilab\source
Source : interf\scilab\macros\misc\*.sci; DestDir: {app}\interf\scilab\macros\misc; Components: scilab\source
Source : interf\scilab\macros\pll\*.sci; DestDir: {app}\interf\scilab\macros\pll; Components: scilab\source
Source : interf\scilab\macros\signal\*.sci; DestDir: {app}\interf\scilab\macros\signal; Components: scilab\source
; C files
Source : interf\scilab\gateway\*.c; DestDir: {app}\interf\scilab\gateway; Components: scilab\source

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
; files for building
Source : builder.sce; DestDir: {app}; Components: scicos\source
Source : config.h; DestDir: {app}; Components: scicos\source
Source : interf\scicos\builder.sce; DestDir: {app}\interf\scicos\; Components: scicos\source
Source : interf\scicos\Makefile.*; DestDir: {app}\interf\scicos\; Components: scicos\source

Source : interf\scicos\macros\Makefile.*; DestDir: {app}\interf\scicos\macros; Components: scicos\source
Source : interf\scicos\macros\build_util\Makefile.*; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\source
Source : interf\scicos\macros\pll\Makefile.*; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Communication\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Filter\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Integer\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\NonLinear\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Old\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Pll\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sinks\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sources\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Tools\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\source
Source : interf\scicos\macros\scicos_util\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\source
Source : interf\scicos\macros\signal\Makefile.*; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\source

Source : interf\scicos\routines\Makefile.*; DestDir: {app}\interf\scicos\routines; Components: scicos\source
Source : interf\scicos\routines\communication\Makefile.*; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\source
Source : interf\scicos\routines\filter\Makefile.*; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\source
Source : interf\scicos\routines\integer\Makefile.*; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\source
Source : interf\scicos\routines\nonlinear\Makefile.*; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\source
Source : interf\scicos\routines\old\Makefile.*; DestDir: {app}\interf\scicos\routines\old; Components: scicos\source
Source : interf\scicos\routines\other\Makefile.*; DestDir: {app}\interf\scicos\routines\other; Components: scicos\source
Source : interf\scicos\routines\pll\Makefile.*; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\source
Source : interf\scicos\routines\sinks\Makefile.*; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\source
Source : interf\scicos\routines\sources\Makefile.*; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\source
Source : interf\scicos\routines\tools\Makefile.*; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\source

; macros files
Source : interf\scicos\macros\build_util\*.sci; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\source
Source : interf\scicos\macros\pll\*.sci; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Communication\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Filter\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Integer\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\NonLinear\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Old\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Pll\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sinks\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sources\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Tools\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\source
Source : interf\scicos\macros\scicos_util\*.sci; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\*.sci; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\source
Source : interf\scicos\macros\signal\*.sci; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\source
; C files
Source : interf\scicos\routines\communication\*.c; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\source
Source : interf\scicos\routines\filter\*.c; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\source
Source : interf\scicos\routines\integer\*.c; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\source
Source : interf\scicos\routines\nonlinear\*.c; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\source
Source : interf\scicos\routines\old\*.c; DestDir: {app}\interf\scicos\routines\old; Components: scicos\source
Source : interf\scicos\routines\other\*.c; DestDir: {app}\interf\scicos\routines\other; Components: scicos\source
Source : interf\scicos\routines\pll\*.c; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\source
Source : interf\scicos\routines\sinks\*.c; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\source
Source : interf\scicos\routines\sources\*.c; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\source
Source : interf\scicos\routines\tools\*.c; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\source

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; binary files
;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\loader.sce; DestDir: {app}\interf\scicos; Components: scicos\binary
Source : interf\scicos\macros\build_util\*.bin; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
Source : interf\scicos\macros\pll\*.bin; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Communication\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Filter\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Integer\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\NonLinear\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Old\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Pll\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sinks\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sources\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Tools\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
Source : interf\scicos\macros\scicos_util\*.bin; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
Source : interf\scicos\macros\scicos_overload\*.bin; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\binary
Source : interf\scicos\macros\signal\*.bin; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary
Source : interf\scicos\macros\build_util\lib; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
Source : interf\scicos\macros\pll\lib; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Communication\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Filter\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Integer\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\NonLinear\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Old\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Pll\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sinks\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sources\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Tools\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
Source : interf\scicos\macros\scicos_util\lib; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
Source : interf\scicos\macros\scicos_overload\lib; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\binary
Source : interf\scicos\macros\signal\lib; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary
Source : interf\scicos\macros\build_util\names; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
Source : interf\scicos\macros\pll\names; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Communication\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Filter\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Integer\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\NonLinear\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Old\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Pll\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sinks\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sources\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Tools\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
Source : interf\scicos\macros\scicos_util\names; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
Source : interf\scicos\macros\scicos_overload\names; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\binary
Source : interf\scicos\macros\signal\names; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary
Source : interf\scicos\routines\communication\*.dll; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.dll; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.dll; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.dll; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.dll; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.dll; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.dll; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.dll; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.dll; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.dll; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary
Source : interf\scicos\routines\communication\*.def; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.def; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.def; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.def; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.def; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.def; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.def; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.def; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.def; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.def; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary
Source : interf\scicos\routines\communication\*.ilib; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.ilib; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.ilib; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.ilib; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.ilib; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.ilib; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.ilib; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.ilib; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.ilib; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.ilib; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary
Source : interf\scicos\routines\communication\loader.sce; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\loader.sce; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\loader.sce; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\loader.sce; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\loader.sce; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\loader.sce; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\loader.sce; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\sinks\loader.sce; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\loader.sce; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\loader.sce; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary

;;;;;;;;;;
;;Scilab;;
;;;;;;;;;;
Source : interf\scilab\loader.sce; DestDir: {app}\interf\scilab; Components: scilab\binary

Source : interf\scilab\macros\build_util\*.bin; DestDir: {app}\interf\scilab\macros\build_util; Components: scilab\binary
Source : interf\scilab\macros\find_file\*.bin; DestDir: {app}\interf\scilab\macros\find_file; Components: scilab\binary
Source : interf\scilab\macros\misc\*.bin; DestDir: {app}\interf\scilab\macros\misc; Components: scilab\binary
Source : interf\scilab\macros\pll\*.bin; DestDir: {app}\interf\scilab\macros\pll; Components: scilab\binary
Source : interf\scilab\macros\signal\*.bin; DestDir: {app}\interf\scilab\macros\signal; Components: scilab\binary

Source : interf\scilab\macros\build_util\lib; DestDir: {app}\interf\scilab\macros\build_util; Components: scilab\binary
Source : interf\scilab\macros\find_file\lib; DestDir: {app}\interf\scilab\macros\find_file; Components: scilab\binary
Source : interf\scilab\macros\misc\lib; DestDir: {app}\interf\scilab\macros\misc; Components: scilab\binary
Source : interf\scilab\macros\pll\lib; DestDir: {app}\interf\scilab\macros\pll; Components: scilab\binary
Source : interf\scilab\macros\signal\lib; DestDir: {app}\interf\scilab\macros\signal; Components: scilab\binary

Source : interf\scilab\macros\build_util\names; DestDir: {app}\interf\scilab\macros\build_util; Components: scilab\binary
Source : interf\scilab\macros\find_file\names; DestDir: {app}\interf\scilab\macros\find_file; Components: scilab\binary
Source : interf\scilab\macros\misc\names; DestDir: {app}\interf\scilab\macros\misc; Components: scilab\binary
Source : interf\scilab\macros\pll\names; DestDir: {app}\interf\scilab\macros\pll; Components: scilab\binary
Source : interf\scilab\macros\signal\names; DestDir: {app}\interf\scilab\macros\signal; Components: scilab\binary

Source : interf\scilab\gateway\*.dll; DestDir: {app}\interf\scilab\gateway; Components: scilab\binary
Source : interf\scilab\gateway\*.ilib; DestDir: {app}\interf\scilab\gateway; Components: scilab\binary
Source : interf\scilab\gateway\*.def; DestDir: {app}\interf\scilab\gateway; Components: scilab\binary
Source : interf\scilab\gateway\loader.sce; DestDir: {app}\interf\scilab\gateway; Components: scilab\binary
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; help files

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\help\images\*.gif; DestDir: {app}\interf\scicos\help\images; Components: scicos\help
; help files en
Source : interf\scicos\help\eng\xml\*.xml; DestDir: {app}\interf\scicos\help\eng\xml; Components: scicos\help\en
Source : interf\scicos\help\eng\htm\*.htm; DestDir: {app}\interf\scicos\help\eng\htm; Components: scicos\help\en
; help files fr
Source : interf\scicos\help\fr\xml\*.xml; DestDir: {app}\interf\scicos\help\fr\xml; Components: scicos\help\fr
Source : interf\scicos\help\fr\htm\*.htm; DestDir: {app}\interf\scicos\help\fr\htm; Components: scicos\help\fr

;;;;;;;;;;
;;Scilab;;
;;;;;;;;;;
Source : interf\scilab\help\images\*.gif; DestDir: {app}\interf\scilab\help\images; Components: scilab\help
; help files en
Source : interf\scilab\help\eng\xml\*.xml; DestDir: {app}\interf\scilab\help\eng\xml; Components: scilab\help\en
Source : interf\scilab\help\eng\htm\*.htm; DestDir: {app}\interf\scilab\help\eng\htm; Components: scilab\help\en
; help files fr
Source : interf\scilab\help\fr\xml\*.xml; DestDir: {app}\interf\scilab\help\fr\xml; Components: scilab\help\fr
Source : interf\scilab\help\fr\htm\*.htm; DestDir: {app}\interf\scilab\help\fr\htm; Components: scilab\help\fr

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; demos files

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\examples\*.*; DestDir: {app}\interf\scicos\examples; Flags: recursesubdirs; Components: scicos\diagr
Source : interf\scicos\demos\*.dem; DestDir: {app}\interf\scicos\demos; Components: scicos\diagr

;;;;;;;;;;
;;Scilab;;
;;;;;;;;;;
Source : interf\scilab\examples\*.*; DestDir: {app}\interf\scilab\examples; Flags: recursesubdirs; Components: scilab\ex
Source : interf\scilab\demos\*.dem; DestDir: {app}\interf\scilab\demos; Components: scilab\ex
